<?php settings_errors(); ?>
<div class="emojics-wrap">
	<?php include( EMJCS_DIR . 'admin/templates/header.php'); ?>
	<div class="emojics-container">
		<div class="emojics-row">
			<div class="col m12">

				<form method="post" action="options.php">
					<?php
					$settings = array(
						'api_key'         => emojics_get_option('api_key', false),
						'widget_active'   => emojics_get_option('widget_active', 'yes'),
						'widget_debug'    => emojics_get_option('widget_debug', 'no'),
						'widget_position' => emojics_get_option('widget_position', ''),
						'widget_exclude'  => emojics_get_option('widget_exclude', array()),
						'widget_configs'  => emojics_get_option('widget_configs', emojics_get_initial_widget_configs()),
						'widget_metadata' => emojics_get_option('widget_metadata', [])
					);

					// echo '<pre>';
					// var_dump(emojics_get_metadata());
					// die();

					settings_fields('emojics_settings_general');
					?>

					<div class="emojics-card" style="<?php echo ($curr=='meta_settings'?'':'display:none'); ?>">
						<table class="form-table">
							<tbody>
								<tr valign="top">
									<th scope="row" valign="top">
										<label class="description"><?php _e('User details in metadata'); ?></label>
										<p>Select the user details you may want to pass through. This will help logged in users bypassing the need to fill some of the campaigns required fields.</p>
										<p>Use WP filter hook <code>emojics_metadata</code> to add more metadata.</p>
									</th>
									<td>
										<label class="emojics-block" style="margin-bottom: 8px;">
											<input type="checkbox" name="_emojics_widget_metadata[]" value="user_email" <?php echo (in_array('user_email', (array)$settings['widget_metadata']))?'checked':'' ?>>
											User email
										</label>
										<label class="emojics-block" style="margin-bottom: 8px;">
											<input type="checkbox" name="_emojics_widget_metadata[]" value="display_name" <?php echo (in_array('display_name', (array)$settings['widget_metadata']))?'checked':'' ?>>
											User name
										</label>
										<label class="emojics-block" style="margin-bottom: 8px;">
											<input type="checkbox" name="_emojics_widget_metadata[]" value="ID" <?php echo (in_array('ID', (array)$settings['widget_metadata']))?'checked':'' ?>>
											User ID (<code>user_id</code>)
										</label>
									</td>
								</tr>

							</tbody>
						</table>
					</div>

					<div class="emojics-card" style="<?php echo ($curr=='account_settings'?'':'display:none'); ?>">
						<table class="form-table">
							<tbody>
								<tr valign="top">
									<th scope="row" valign="top">
										<label class="description" for="_emojics_api_key"><?php _e('API Key'); ?></label>
									</th>
									<td>
										<input type="text" style="max-width: 420px; width: 100%;" id="_emojics_api_key" name="_emojics_api_key" value="<?php echo $settings['api_key']; ?>">
									</td>
								</tr>

								<tr valign="top">
									<th scope="row" valign="top">
										<label class="description" for="_emojics_widget_debug"><?php _e('Debug'); ?></label>
									</th>
									<td>
										<select id="_emojics_widget_debug" name="_emojics_widget_debug">
											<option value="no" <?php echo ($settings['widget_debug']=='no')?'selected="selected"':'' ?>>Disabled</option>
											<option value="yes" <?php echo ($settings['widget_debug']=='yes')?'selected="selected"':'' ?>>Enabled</option>
										</select>
									</td>
								</tr>

								<tr valign="top" style="display: none;">
									<th scope="row" valign="top">
										<label class="description" for="_emojics_widget_active"><?php _e('Enable Emojics'); ?></label>
									</th>
									<td>
										<select id="_emojics_widget_active" name="_emojics_widget_active">
											<option value="no" <?php echo ($settings['widget_active']=='no')?'selected="selected"':'' ?>>Disabled</option>
											<option value="yes" <?php echo ($settings['widget_active']=='yes')?'selected="selected"':'' ?>>Enabled</option>
										</select>
									</td>
								</tr>

							</tbody>
						</table>
					</div>

					<div class="emojics-card" style="display: none;">
						<div style="display: <?php echo $settings['widget_active'] == 'yes' ? 'block' : 'none'; ?>">
							<table class="form-table">
								<tbody>
									<tr valign="top">
										<th scope="row" valign="top">
											<label class="description" for="_emojics_widget_position"><?php _e('Position'); ?></label>
										</th>
										<td>
											<select id="_emojics_widget_position" name="_emojics_widget_position">
												<option value="inline" <?php echo ($settings['widget_position']=='inline')?'selected="selected"':'' ?>>Inline (after post/page content)</option>
												<option value="" <?php echo ($settings['widget_position']=='')?'selected="selected"':'' ?>>Automatic (as defined in Emojics Dashboard)</option>
											</select>
										</td>
									</tr>

									<tr valign="top">
										<th scope="row" valign="top">
											<label class="description" for="_emojics_widget_exclude"><?php _e('Exclude'); ?></label>
										</th>
										<td>
											<?php
												foreach( emojics_get_supported_types() as $post_type) :
											?>
											<label class="emojics-block" for="exclude_<?php echo $post_type->name ?>">
												<input type="checkbox" id="exclude_<?php echo $post_type->name ?>" name="_emojics_widget_exclude[]" value="<?php echo $post_type->name ?>" <?php echo (in_array($post_type->name, (array)$settings['widget_exclude']))?'checked':'' ?>>
												<?php echo $post_type->label ?>
											</label>
											<?php endforeach; ?>
										</td>
									</tr>


								</tbody>
							</table>
						</div>
					</div>

					<?php foreach( emojics_get_supported_types() as $post_type) : ?>
						<?php if (isset($settings['widget_configs'][$post_type->name])) : ?>
							<div class="emojics-card" style="<?php echo ($curr=='widget_settings'?'':'display:none'); ?>">
								<div>
									<h2><?php echo $post_type->label; ?></h2>
									<table class="form-table">
										<tbody>
											<tr valign="top">
												<th scope="row" valign="top">
													<label class="description" for="_emojics_widget_configs[<?php echo $post_type->name ?>][active]"><?php _e('Emojics'); ?></label>
												</th>
												<td>
													<select class="emojics-widget-enabled" id="_emojics_widget_configs[<?php echo $post_type->name ?>][active]" name="_emojics_widget_configs[<?php echo $post_type->name ?>][active]">
														<option value="no" <?php echo ($settings['widget_configs'][$post_type->name]['active']=='no')?'selected="selected"':'' ?>>Disabled</option>
														<option value="yes" <?php echo ($settings['widget_configs'][$post_type->name]['active']=='yes')?'selected="selected"':'' ?>>Enabled</option>
													</select>
												</td>
											</tr>
										</tbody>
									</table>

									<table class="form-table" style="display: <?php echo $settings['widget_configs'][$post_type->name]['active'] == 'yes' ? 'block' : 'none'; ?>">
										<tbody>
											<tr valign="top">
												<th scope="row" valign="top">
													<label class="description" for="_emojics_widget_configs[<?php echo $post_type->name ?>][position]"><?php _e('Position'); ?></label>
												</th>
												<td>
													<select id="_emojics_widget_configs[<?php echo $post_type->name ?>][position]" name="_emojics_widget_configs[<?php echo $post_type->name ?>][position]">
														<?php foreach( emojics_get_supported_type_position($post_type->name) as $position => $position_label) : ?>
															<option value="<?php echo $position; ?>" <?php echo ($settings['widget_configs'][$post_type->name]['position']==$position)?'selected="selected"':'' ?>><?php echo $position_label; ?></option>
														<?php endforeach; ?>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
						<?php endif; ?>
					<?php endforeach; ?>

					<?php submit_button('Save Changes', 'emojics-btn'); ?>
				</form>

			</div>
		</div>
	</div>
</div>
