<?php

/**
 * @link http://www.emojics.com
 * @since 1.0.0
 * @package Emojics_WP
 *
Plugin Name: Emojics WP
Description: Easy emojics.com widget integration for wordpress sites
Author: Emojics
Author URI: http://www.emojics.com
License: GPL-2.0+
License URI: http://www.gnu.org/licenses/gpl-2.0.txt
Text Domain: emojics-wp
Domain Path: /languages
Version: 1.5.3
 */

// Stop direct access to file
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'EMJCS_DOMAIN'			, 'emojics-wp' );
define( 'EMJCS_DIR'				, plugin_dir_path( __FILE__ ) );
define( 'EMJCS_URL'				, plugin_dir_url( __FILE__ ) );
define( 'EMJCS_VERSION'			, '1.5.3' );
define( 'EMJCS_ROOT_TAG'        , '<div id="emojics-root"></div>');

// Define some general variables here. Make sure to use the proper prefix EMJCS_
define( 'EMJCS_APP_ENDPOINT'  , 'http://app.emojics.com' );
define( 'EMJCS_API_ENDPOINT'  , 'http://app.emojics.com/wp-json/public/v1' );

/**
 * The code that runs during plugin activation.
 */
function activate_emojics() {
	require_once EMJCS_DIR . 'includes/class-emojics-activator.php';
	Emojics_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_emojics() {
	require_once EMJCS_DIR . 'includes/class-emojics-deactivator.php';
	Emojics_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_emojics' );
register_deactivation_hook( __FILE__, 'deactivate_emojics' );

/**
 * The core plugin class
 */
require EMJCS_DIR . 'includes/class-emojics.php';

/**
 * Begin execution of the plugin
 *
 * @since 1.0.0
 */
function run_emojics() {

	$plugin = new Emojics();
	$plugin->run();
}
run_emojics();
